Create individual user
curl --request POST \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/individual-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activity": "<string>",
"address": "<string>",
"birthCountry": "<string>",
"birthdate": "<string>",
"city": "<string>",
"country": "<string>",
"documentNumber": "<string>",
"email": "<string>",
"employmentStatus": "EMPLOYED",
"estimatedAnnualIncome": 123,
"estimatedAnnualTransactionVolume": 123,
"estimatedNetWorth": 123,
"name": "<string>",
"nationality": "<string>",
"phoneNumber": "<string>",
"phoneNumberCountry": "<string>",
"postalCode": "<string>",
"professionalSector": "<string>",
"province": "<string>",
"sourceOfFunds": "SALARY",
"surname": "<string>",
"addressLine2": "<string>",
"hasPepCloseAssociate": true,
"isPublicOffice": true,
"pepAssociateCountry": "<string>",
"pepAssociateName": "<string>",
"pepAssociatePosition": "<string>",
"publicOfficeCountry": "<string>",
"publicOfficePosition": "<string>",
"termsAndConditionsAccepted": true
}
'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/individual-users"
payload = {
"activity": "<string>",
"address": "<string>",
"birthCountry": "<string>",
"birthdate": "<string>",
"city": "<string>",
"country": "<string>",
"documentNumber": "<string>",
"email": "<string>",
"employmentStatus": "EMPLOYED",
"estimatedAnnualIncome": 123,
"estimatedAnnualTransactionVolume": 123,
"estimatedNetWorth": 123,
"name": "<string>",
"nationality": "<string>",
"phoneNumber": "<string>",
"phoneNumberCountry": "<string>",
"postalCode": "<string>",
"professionalSector": "<string>",
"province": "<string>",
"sourceOfFunds": "SALARY",
"surname": "<string>",
"addressLine2": "<string>",
"hasPepCloseAssociate": True,
"isPublicOffice": True,
"pepAssociateCountry": "<string>",
"pepAssociateName": "<string>",
"pepAssociatePosition": "<string>",
"publicOfficeCountry": "<string>",
"publicOfficePosition": "<string>",
"termsAndConditionsAccepted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activity: '<string>',
address: '<string>',
birthCountry: '<string>',
birthdate: '<string>',
city: '<string>',
country: '<string>',
documentNumber: '<string>',
email: '<string>',
employmentStatus: 'EMPLOYED',
estimatedAnnualIncome: 123,
estimatedAnnualTransactionVolume: 123,
estimatedNetWorth: 123,
name: '<string>',
nationality: '<string>',
phoneNumber: '<string>',
phoneNumberCountry: '<string>',
postalCode: '<string>',
professionalSector: '<string>',
province: '<string>',
sourceOfFunds: 'SALARY',
surname: '<string>',
addressLine2: '<string>',
hasPepCloseAssociate: true,
isPublicOffice: true,
pepAssociateCountry: '<string>',
pepAssociateName: '<string>',
pepAssociatePosition: '<string>',
publicOfficeCountry: '<string>',
publicOfficePosition: '<string>',
termsAndConditionsAccepted: true
})
};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/individual-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"address": "<string>",
"addressLine2": "<string>",
"birthCountry": "<string>",
"birthdate": "<string>",
"city": "<string>",
"country": "<string>",
"documentNumber": "<string>",
"documentType": "<string>",
"email": "<string>",
"employmentStatus": "<string>",
"estimatedAnnualIncome": 123,
"estimatedAnnualTransactionVolume": 123,
"estimatedNetWorth": 123,
"gender": "<string>",
"hasPepCloseAssociate": true,
"id": "<string>",
"isPublicOffice": true,
"name": "<string>",
"nationality": "<string>",
"pepAssociateCountry": "<string>",
"pepAssociateName": "<string>",
"pepAssociatePosition": "<string>",
"phoneNumber": "<string>",
"phoneNumberCountry": "<string>",
"postalCode": "<string>",
"professionalSector": "<string>",
"province": "<string>",
"publicOfficeCountry": "<string>",
"publicOfficePosition": "<string>",
"sourceOfFunds": "<string>",
"surname": "<string>",
"termsAndConditionsAccepted": true
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Individual users
Create individual user
Create a new individual user account
POST
/
api
/
v1
/
account
/
individual-users
Create individual user
Authorizations
API Key for accessing management endpoints
Headers
Language preference (es for Spanish, default: English)
Body
application/json
User details
Available options:
NATIONAL_ID, RESIDENCE_CARD, PASSPORT, DRIVING_LICENSE Available options:
EMPLOYED, SELF_EMPLOYED, UNEMPLOYED, STUDENT, RETIRED Example:
"EMPLOYED"
Available options:
EMPLOYMENT, SALARY, SAVINGS, INVESTMENT, PENSION, GOVERNMENT_BENEFITS, PROPERTY_SALES, INHERITANCE, COMBINATION Example:
"SALARY"
Response
Created
Show child attributes
Show child attributes
⌘I